/* ------------------------------------------------------------------------------------------- */
/* Main */
.s2Tot {    
    width: 100%;
    height: 100%;
}

.s2Tot_out {
    margin: 10px;
    width: calc(100% - 20px);
    height: 95%;
}

/* ------------------------------------------------------------------------------------------- */
/* Header */
.s2Tot_head {
    margin: 10px;

    width: calc(100% - 20px);
    height: 50px;

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;
}

.s2Tot_head_grd1 {
    display: grid;
    grid-template-columns: 
        10px 80px 40px   /* List = Side */
        10px 80px 10px   /* Refresh = Main */
        50px 60px        /* Cnt */        
        80px 100px       /* Max 총액 */
        90px 80px        /* 일 평균 투입 */
        90px 80px        /* 일 평균 수익 */
        60px 100px       /* % */
        100px 30px;      /* Excel */
        ;

    column-gap: 10px;
}

#id_excel_s2Tot {
    margin-top: 10px;
}


/* ------------------------------------------------------------------------------------------- */
/* Main */
.s2Tot_main {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);
    display: grid;
    grid-template-columns: 120px 2310px;
    column-gap: 10px;
}

.s2Tot_side_grd1 { 
    margin-bottom: 10px;

    width: 100%;

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.s2Tot_main_grd1 { 
    margin-bottom: 10px;

    width: 100%;

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.s2Tot_main_tbl_out {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);

    background-color: var(--color-back-box1);

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.s2Tot_main_tbl tbody tr td {
    cursor: pointer;
}

/* ---------------------------------------------- */

.s2Tot_side_tbl thead tr th svg,
.s2Tot_main_tbl thead tr th svg {
    position: absolute;
    
    cursor: pointer;
    fill : var(--color-updown);
    
    width: 10px;
    margin-left: 3px;    

    border: none;
}

.s2Tot_main_tbl thead tr th .search-input {      
    margin: auto;
    width: 90%;
    font-size: 12px;
    font-weight: 700;

    text-align: left;    
    
    background-color: var(--color-back-search);

    /* padding-left: 14px;     */
    padding-left: 1px;    
    border: none;
    outline: none;
}

.s2Tot_main_tbl thead tr th input::placeholder {    
    color: var(--color-font-search2);
}

.s2Tot_main_tbl thead .col_Chk,
.s2Tot_main_tbl thead .col_No {
    text-align: left;
    padding-left: 5px;
}

.s2Tot_main_tbl thead .col_YN {
    text-align: center;
}

.s2Tot_main_tbl thead .sortStr {
    text-align: left;
    padding-left: 7px;
}

.s2Tot_main_tbl .col_Name {
    width: 150px;
}

.s2Tot_main_tbl thead tr .col_Chk svg {
    margin-top: 4px;
}

.s2Tot_main_tbl thead tr .col_Name .search-input,
.s2Tot_main_tbl thead tr .col_DT .search-input {
    width: 80%;
}

.s2Tot_main_tbl thead tr .col_Name svg,
.s2Tot_main_tbl thead tr .col_DT svg {
    margin-top: 7px;
}

.s2Tot_main_tbl tbody .col_Dept {
    font-size: 9px;
    padding-left: 5px;
}

/* ------------------------------------------------------------------------------------------- */
.s2Tot_main_tbl th:first-child { 
    position: sticky; 
    left: 0;
}

.s2Tot_main_tbl td:first-child { 
    position: sticky; 
    left: 0;
}

/* col_No : 30 */
.s2Tot_main_tbl th:nth-child(2) { 
    position: sticky; 
    left: 0px;
}

.s2Tot_main_tbl td:nth-child(2) { 
    position: sticky; 
    left: 0px;
}

/* col_DT: 75 */
.s2Tot_main_tbl th:nth-child(3) { 
    position: sticky; 
    left: 35px;
}

.s2Tot_main_tbl td:nth-child(3) { 
    position: sticky; 
    left: 35px;
}

/* col_Cnts: 60 */
.s2Tot_main_tbl th:nth-child(4) { 
    position: sticky; 
    left: 110px;
}

.s2Tot_main_tbl td:nth-child(4) { 
    position: sticky; 
    left: 110px;
}


/* col_Cnts: 60 */
.s2Tot_main_tbl th:nth-child(5) { 
    position: sticky; 
    left: 170px;
}

.s2Tot_main_tbl td:nth-child(5) { 
    position: sticky; 
    left: 170px;
}

/* col_Cnts: 60 */
.s2Tot_main_tbl th:nth-child(6) { 
    position: sticky; 
    left: 230px;
}

.s2Tot_main_tbl td:nth-child(6) { 
    position: sticky; 
    left: 230px;
}

/* col_Cnts: 60 */
.s2Tot_main_tbl th:nth-child(7) { 
    position: sticky; 
    left: 290px;
}

.s2Tot_main_tbl td:nth-child(7) { 
    position: sticky; 
    left: 290px;
}

/* ------------------------------------------------------------------------------------------- */
#id_spn_s2Tot_cnt01,
#id_spn_s2Tot_cost01,
#id_spn_s2Tot_inve01,
#id_spn_s2Tot_earn01,
#id_spn_s2Tot_avg01 {
    text-align: right;
}

.s2Tot_side_tbl tbody tr .col_050 {
    text-align: left;
    padding-left: 5px;
}

.s2Tot_main_tbl .col_color01 {
    background-color: var(--color-back-sel4);
    font-size: 11px;
    font-weight: 700;
}